
Base Distribution - Story # 11968

Status: Closed Priority: Won't have this time
Author: Sebastian Kurfuerst Category:
Created: 2011-01-06 Assigned To:
Updated: 2012-02-28 Due date:
Subject: Ext JS 4.0 integration
Description

Subtasks:
Task # 27385: Fix ManagementModule Closed
Task # 27382: Make the ModuleMenu work fully again Resolved
Task # 27388: Migrate alle class definitions / renamed methods / the rough UI to ExtJS4 Resolved
Task # 27381: Check & Fix the Core/History class Resolved
Task # 27383: Get ExtDirect to work Resolved
Task # 27386: Fix ContentModule Closed
  Task # 27501: Fix the aloha frontend editor Closed
  Task # 27502: Fix the 'edit toolbar' in selection mode Closed
  Task # 27553: Fix javascript errors if no subnodes found for grid Closed
Task # 27384: Fix DashboardModule Resolved
Task # 27500: Fix the buttons of the moduleDialogs Resolved
Task # 27387: Fix styling issues caused by ExtJS4 integration Rejected
Task # 26598: Run the current backend code with ExtJS4 in compatibility mode Rejected

History
#1 - 2011-01-06 14:30 - Sebastian Kurfuerst
- Position deleted (1)
- Position set to 7

#2 - 2011-01-06 14:53 - Sebastian Kurfuerst
- Position deleted (8)
- Position set to 10

#3 - 2011-02-08 09:10 - Sebastian Kurfuerst
- Position deleted (10)
- Position set to 14

#4 - 2011-05-05 13:50 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Target version deleted (788)

#5 - 2011-05-05 16:35 - Sebastian Kurfuerst
- Target version set to Sprint 8
- Position deleted (17855)
- Position set to 1

#6 - 2011-05-12 09:47 - Sebastian Kurfuerst
- Status changed from New to On Hold

see the comments on #26598 for reasons we're postproning the migration until we have some more bugfix releases of ExtJS.
Thanks Regine for trying it out!

#7 - 2011-06-12 12:26 - Rens Admiraal
- Subject changed from Ext JS 4.0 integration (if available) to Ext JS 4.0 integration
- Status changed from On Hold to Accepted

#8 - 2011-09-20 17:54 - Sebastian Kurfuerst
- Status changed from Accepted to Closed

Bulk-closing issues because they are

    -  not relevant anymore due to the sproutcore based backend
    -  or already implemented in the meantime.

Regards, Sebastian

#9 - 2012-02-28 21:52 - Robert Lemke
- Target version changed from Sprint 8 to Sprint 7
